Page MenuHomeVyOS Platform

Pseudo-ethernet Interfaces Broken
Closed, ResolvedPublicBUG

Description

Since the rolling release 1.3-rolling-202005051136 any pseudo-interfaces fail to come up or commit:

vyos@cr01b-vyos:~$ show ver | grep Ver                                                                                                  
Version:          VyOS 1.3-rolling-202005051136                                                                                         
vyos@cr01b-vyos:~$ conf                                                                                                                 
[edit]                                                                                                                                  
vyos@cr01b-vyos# load                                                                                                                   
Loading configuration from 'config.boot'                                                                                                
Load complete. Use 'commit' to make changes effective.                                                                                  
[edit]                                                                                                                                  
vyos@cr01b-vyos# comp                                                                                                                   
[edit interfaces]                                                                                                                       
+pseudo-ethernet peth0 {                                                                                                                
+    address 192.168.100.4/24                                                                                                           
+    description "MB8600 Management"                                                                                                    
+    source-interface bond1                                                                                                             
+}                                                                                                                                      
[edit]                                                                                                                                  
vyos@cr01b-vyos# commit                                                                                                                 
[ interfaces pseudo-ethernet peth0 ]                                                                                                    
  File "/usr/libexec/vyos/conf_mode/interfaces-pseudo-ethernet.py", line 130                                                            
    or peth['ipv6_autoconf'] ) ):                                                                                                       
                                ^                                                                                                       
SyntaxError: invalid syntax                                                                                                             
                                                                                                                                        
[[interfaces pseudo-ethernet peth0]] failed                                                                                             
Commit failed                                                                                                                           
[edit]

Details

Difficulty level
Easy (less than an hour)
Version
1.3-rolling-202005051136
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

trae32566 created this task.May 8 2020, 5:31 AM
jjakob changed the task status from Open to In progress.May 8 2020, 8:10 AM
jjakob claimed this task.
jjakob moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
pasik added a subscriber: pasik.May 8 2020, 9:33 AM
jjakob closed this task as Resolved.May 9 2020, 8:44 AM
jjakob moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.
trae32566 reopened this task as Open.May 13 2020, 3:09 AM

@jjakob This doesn't appear to have been fixed in VyOS 1.3-rolling-202005130117

trae32566 added a comment.EditedMay 13 2020, 3:40 AM

Actually I think this is a result of T2434 since the source interface is bond1, so I'm closing this again. My apologies.

Ignore the portion about bond1, it's related to issue T2434

vyos@cr01b-vyos:~$ configure                                       
[edit]                                                             
vyos@cr01b-vyos# load                                              
commitLoading configuration from 'config.boot'                     
Load complete. Use 'commit' to make changes effective.             
[edit]                                                             
vyos@cr01b-vyos# comp                                              
[edit interfaces]                                                  
+bonding bond1 {                                                   
+    address dhcp                                                  
+    hash-policy layer3+4                                          
+    ipv6 {                                                        
+        dup-addr-detect-transmits 0                               
+    }                                                             
+    member {                                                      
+        interface eth0                                            
+        interface eth1                                            
+    }                                                             
+    mode xor-hash                                                 
+}                                                                 
+pseudo-ethernet peth0 {                                           
+    address 192.168.100.4/24                                      
+    description "MB8600 Management"                               
+    source-interface bond1                                        
+}                                                                 
[edit]                                                             
vyos@cr01b-vyos# commit                                            
[ interfaces bonding bond1 ipv6 dup-addr-detect-transmits 0 ]      
Fatal error: exception Invalid_argument("compare: abstract value") 
                                                                   
[ interfaces bonding bond1 ipv6 dup-addr-detect-transmits 0 ]      
Invalid value                                                      
                                                                   
[[interfaces bonding bond1]] failed                                
[ interfaces pseudo-ethernet peth0 ]                               
Pseudo-ethernet "peth0" link device does not exist                 
                                                                   
[[interfaces pseudo-ethernet peth0]] failed                        
Commit failed                                                      
[edit]
trae32566 closed this task as Resolved.May 13 2020, 3:47 AM